package eu.mhsl.minenet.minigames.instance.game.stateless.types.bowSpleef;

import eu.mhsl.minenet.minigames.instance.game.Game;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.Option;
import eu.mhsl.minenet.minigames.instance.room.Room;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

import java.util.Map;

public class BowSpleefFactory implements GameFactory {
    @Override
    public TranslatedComponent name() {
        return TranslatedComponent.byId("game_BowSpleef#name");
    }

    @Override
    public TranslatedComponent description() {
        return TranslatedComponent.byId("game_BowSpleef#description");
    }

    @Override
    public Material symbol() {
        return Material.BOW;
    }

    @Override
    public Game manufacture(Room parent, Map<String, Option<?>> configuration) throws Exception {
        return new BowSpleef().setParent(parent);
    }
}
